package com.gic.haoban.manage.web.vo;

import java.io.Serializable;

public class WebLoginVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String wxEnterpriseId;
    private String enterpriseId;
    // yw / gic
    private String loginChannel = "gic" ;
    private String clerkId;
    private String clerkName ;
    private Integer superAdmin = 0;//1:超级管理员 0：普通管理员
    /***部门权限 1可见本人，2可见部门，3可见所有***/
    private Integer departAuth;
    private String phoneNumber;
    private String headImg ;
    private String hanbaoUserId;
    private String roleId ;
    private String gicHost ;
    private String staffId ;

    /**
     * 运维登录相关信息。新版运维登录、运维登录GIC再登录好办
     */
    private String operationUserId;
    private String operationUserName;

    /**
     * 运维登录人手机号
     */
    private String clerkPhone;
    
    private String cliqueId ;
    //登录用户关联的企业是否是集团：1是0否
    private Integer isClique ;

    /**
     * 是否有所有门店权限，1：是，0：否
     */
    private Integer hasAllStorePermission;
    
    public String getCliqueId() {
        return cliqueId;
    }

    public void setCliqueId(String cliqueId) {
        this.cliqueId = cliqueId;
    }

    public Integer getIsClique() {
        return isClique;
    }

    public void setIsClique(Integer isClique) {
        this.isClique = isClique;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getGicHost() {
        return gicHost;
    }

    public void setGicHost(String gicHost) {
        this.gicHost = gicHost;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getHanbaoUserId() {
        return hanbaoUserId;
    }

    public void setHanbaoUserId(String hanbaoUserId) {
        this.hanbaoUserId = hanbaoUserId;
    }

    public Integer getSuperAdmin() {
        return superAdmin;
    }

    public Integer getDepartAuth() {
        return departAuth;
    }

    public void setSuperAdmin(Integer superAdmin) {
        this.superAdmin = superAdmin;
    }

    public void setDepartAuth(Integer departAuth) {
        this.departAuth = departAuth;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public String getClerkId() {
        return clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getLoginChannel() {
        return loginChannel;
    }

    public void setLoginChannel(String loginChannel) {
        this.loginChannel = loginChannel;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOperationUserId() {
        return operationUserId;
    }

    public WebLoginVO setOperationUserId(String operationUserId) {
        this.operationUserId = operationUserId;
        return this;
    }

    public String getOperationUserName() {
        return operationUserName;
    }

    public WebLoginVO setOperationUserName(String operationUserName) {
        this.operationUserName = operationUserName;
        return this;
    }

    public String getClerkPhone() {
        return clerkPhone;
    }

    public WebLoginVO setClerkPhone(String clerkPhone) {
        this.clerkPhone = clerkPhone;
        return this;
    }

    public Integer getHasAllStorePermission() {
        return hasAllStorePermission;
    }

    public void setHasAllStorePermission(Integer hasAllStorePermission) {
        this.hasAllStorePermission = hasAllStorePermission;
    }
}
